## org.gnu.gdk
Class Point

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Point

public class Point
extends Boxed

Represents a point with x and y coordinates.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Point(Handle handle)`
`Point(int x, int y)` Construct a Point providing the x and y coordinates.

Method Summary
`protected void` `finalize()`
`protected static void` `gdk_point_free(Handle handle)`
`protected static Handle` `gdk_point_new()`
`int` `getX()` Retrieve the x coordinate for the Point.
`protected static int` `getX(Handle obj)`
`int` `getY()` Retrieve the y coordinate for the Point.
`protected static int` `getY(Handle obj)`
`protected void` `setX(Handle obj, int x)`
`void` `setX(int x)` Set the x coordinate for the Point.
`protected void` `setY(Handle obj, int y)`
`void` `setY(int y)` Set the y coordinate for the Point.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point

    public Point(int x,
                 int y)

  Construct a Point providing the x and y coordinates.

Parameters:
  `x` -
  `y` -

### Point

    public Point(Handle handle)

Method Detail

### getX

    public int getX()

  Retrieve the x coordinate for the Point.

### setX

    public void setX(int x)

  Set the x coordinate for the Point.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate for the Point.

### setY

    public void setY(int y)

  Set the y coordinate for the Point.

  Parameters:
    `y` -

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getX

    protected static final int getX(Handle obj)

### setX

    protected final void setX(Handle obj,
                              int x)

### getY

    protected static final int getY(Handle obj)

### setY

    protected final void setY(Handle obj,
                              int y)

### gdk_point_new

    protected static final Handle gdk_point_new()

### gdk_point_free

    protected static final void gdk_point_free(Handle handle)